Bug 1002155 - (simple-xml) Review Request: simple-xml - An XML serialization framework for Java
Review Request: simple-xml - An XML serialization framework for Java
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1002157 1002163
  Show dependency treegraph
 
Reported: 2013-08-28 10:18 EDT by gil cattaneo
Modified: 2014-01-27 08:04 EST (History)
2 users (show)

See Also:
Fixed In Version: simple-xml-2.7.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 08:04:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msimacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-28 10:18:19 EDT
Spec URL: http://gil.fedorapeople.org/simple-xml.spec
SRPM URL: http://gil.fedorapeople.org/simple-xml-2.7.1-1.fc19.src.rpm
Description:
Simple is a high performance XML serialization and
configuration framework for Java. Its goal is to
provide an XML framework that enables rapid development
of XML configuration and communication systems.
Fedora Account System Username: gil
Comment 1 Michael Simacek 2014-01-15 12:49:15 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package should have proper BuildRequires/Requires on jpackage-utils
  (it gets pulled in by something else, but make fedora-review happy)


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "BSD (3 clause)", "Unknown or generated", "*No
     copyright* Apache (v2.0)". 303 files have unknown license. Detailed
     output of licensecheck in /home/msimacek/1002155-simple-
     xml/licensecheck.txt
     - BSD present only in tests
     - ASL no copyright is false positive (part of code, not actual license)
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: POM files have correct Maven mapping
     Note: Some add_maven_depmap calls found. Please check if they are correct
     or update to latest guidelines
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in simple-xml-
     javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: simple-xml-2.7.1-1.fc21.noarch.rpm
          simple-xml-javadoc-2.7.1-1.fc21.noarch.rpm
          simple-xml-2.7.1-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint simple-xml simple-xml-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
simple-xml (rpmlib, GLIBC filtered):
    bea-stax
    java
    jpackage-utils
    xpp3

simple-xml-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
simple-xml:
    mvn(org.simpleframework:simple-xml)
    simple-xml

simple-xml-javadoc:
    simple-xml-javadoc



Source checksums
----------------
http://downloads.sourceforge.net/simple/simple-xml-2.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : 9c590242962b06f3b8efca6de086faa639f25360a37c23cd921d3ed3bb2873c9
  CHECKSUM(SHA256) upstream package : 9c590242962b06f3b8efca6de086faa639f25360a37c23cd921d3ed3bb2873c9
http://repo1.maven.org/maven2/org/simpleframework/simple-xml/2.7.1/simple-xml-2.7.1.pom :
  CHECKSUM(SHA256) this package     : 69ec88db191d97d90f9515256efec7605ed8c9b2e1721c7dc9c358366b575266
  CHECKSUM(SHA256) upstream package : 69ec88db191d97d90f9515256efec7605ed8c9b2e1721c7dc9c358366b575266


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1002155
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 gil cattaneo 2014-01-15 13:45:24 EST
Spec URL: http://gil.fedorapeople.org/simple-xml.spec
SRPM URL: http://gil.fedorapeople.org/simple-xml-2.7.1-2.fc19.src.rpm

- fix license field
- add javapackages-tools (provides jpackage-utils) references
Comment 3 Michael Simacek 2014-01-16 04:25:48 EST
No, you got me wrong. By "BSD present only in tests" I meant that it is a false positive, because the license tag should reflect contents of the binary RPM and tests don't make it to the final RPM. (And even if they did, using "or" means dual license. The correct interjection would be "and"). Just leave the license tag as it was before ("License: ASL 2.0").
Everything else seems fine.
Comment 4 gil cattaneo 2014-01-16 12:48:01 EST
Sorry

Spec URL: http://gil.fedorapeople.org/simple-xml.spec
SRPM URL: http://gil.fedorapeople.org/simple-xml-2.7.1-2.fc19.src.rpm

- fix license field
Comment 5 Michael Simacek 2014-01-17 04:52:22 EST
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6418664

Looks ok. APPROVED
Comment 6 gil cattaneo 2014-01-17 11:54:24 EST
Thanks!

New Package SCM Request
=======================
Package Name: simple-xml
Short Description: An XML serialization framework for Java
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2014-01-17 12:11:12 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2014-01-17 13:46:01 EST
simple-xml-2.7.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/simple-xml-2.7.1-2.fc20
Comment 9 Fedora Update System 2014-01-18 23:07:24 EST
simple-xml-2.7.1-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 10 Fedora Update System 2014-01-27 08:04:31 EST
simple-xml-2.7.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.